Package org.gdal.gdal

# Class Attribute

java.lang.Object
org.gdal.gdal.Attribute

public class Attribute extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `ExtendedDataType`
  `GetDataType()`
  `long`
  `GetDimensionCount()`
  `long`
  `GetDimensionSize(long index)`
  `long[]`
  `GetDimensionSizes()`
  `String`
  `GetFullName()`
  `String`
  `GetName()`
  `long`
  `GetTotalElementsCount()`
  `double`
  `ReadAsDouble()`
  `int`
  `ReadAsInt()`
  `long`
  `ReadAsInt64()`
  `String`
  `ReadAsString()`
  `Vector`
  `ReadAsStringArray()`
  `int`
  `Rename(String newName)`
  `int`
  `WriteDouble(double val)`
  `int`
  `WriteInt(int val)`
  `int`
  `WriteInt64(long val)`
  `int`
  `WriteString(String val)`
  `int`
  `WriteStringArray(Vector vals)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### GetDimensionSizes

    public long[] GetDimensionSizes()

  - ### GetName

    public String GetName()

  - ### GetFullName

    public String GetFullName()

  - ### GetTotalElementsCount

    public long GetTotalElementsCount()

  - ### GetDimensionCount

    public long GetDimensionCount()

  - ### GetDataType

    public ExtendedDataType GetDataType()

  - ### ReadAsString

    public String ReadAsString()

  - ### ReadAsInt

    public int ReadAsInt()

  - ### ReadAsInt64

    public long ReadAsInt64()

  - ### ReadAsDouble

    public double ReadAsDouble()

  - ### ReadAsStringArray

    public Vector ReadAsStringArray()

  - ### WriteString

    public int WriteString(String val)

  - ### WriteStringArray

    public int WriteStringArray(Vector vals)

  - ### WriteInt

    public int WriteInt(int val)

  - ### WriteInt64

    public int WriteInt64(long val)

  - ### WriteDouble

    public int WriteDouble(double val)

  - ### Rename

    public int Rename(String newName)

  - ### GetDimensionSize

    public long GetDimensionSize(long index)